Bug 211892 - Gwenview should loop back to the first image.
Summary: Gwenview should loop back to the first image.
Status: RESOLVED FIXED
Alias: None
Product: gwenview
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Archlinux Unspecified
: NOR wishlist with 22 votes (vote)
Target Milestone: ---
Assignee: Gwenview Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-10-26 05:56 UTC by darkpaladin648
Modified: 2013-10-19 13:02 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.11.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description darkpaladin648 2009-10-26 05:56:01 UTC
Version:            (using KDE 4.3.2)
Installed from:    Archlinux Packages

When you look through a bunch of images in the image viewer, within the folder, once you reach the last photo, image, or file whatever you wish to call it. I am of the personal opinion that the image viewer should loop back to the first image in the folder. you are currently viewing. Similar to gpicview really, but it isn't very pleasant to use a GTK Image viewer in a QT environment.
Comment 1 Bill Klobas 2009-10-27 00:13:56 UTC
Created attachment 37878


test1
Comment 2 Bill Klobas 2009-10-27 00:15:20 UTC
Created attachment 37879


test2
Comment 3 Bill Klobas 2009-10-27 00:16:07 UTC
Created attachment 37880


test3
Comment 4 Ryan Rix 2009-10-27 00:39:36 UTC
well, we've killed that spammer, apologies.
Comment 5 Ryan Rix 2009-10-27 00:45:31 UTC
And fwiw, I agree with this patch. +1
Comment 6 chosunsk 2010-05-02 20:26:16 UTC
Any progess with this bug?  The behavior still exists in KDE 4.4.2
Comment 7 Aurelien Gateau 2013-04-10 12:52:51 UTC
Git commit 7cd8a20c5690dee46e63ad79af638334e885b36b by Aurélien Gâteau.
Committed on 10/04/2013 at 14:50.
Pushed by gateau into branch 'master'.

Merge branch 'wip/wrap-around'

Gwenview now wraps to the first document when user tries to go after the last
one. Same thing when trying to go before the first document. A small text
bubble appears in the middle of the window to notify the user of the wrapping.

REVIEW: 109842
FIXED-IN: 4.11.0

M  +40   -13   app/mainwindow.cpp

http://commits.kde.org/gwenview/7cd8a20c5690dee46e63ad79af638334e885b36b
Comment 8 Frank Steinmetzger 2013-09-10 14:32:59 UTC
I believe I remember a discussion about this feature a while back. The essence was that there are (as with most things) people who like it and people who don’t. I must of course confess I belong to the latter.

So I’d like to ask the usual whiny question: is there a way of disabling it if I wanted to? ;-)
if not, could that be added?
If not, too, please consider implementing wish #203042 (show image number and count in titlebar in view mode). Otherwise, there is no way of “direct” feedback that I reached an end of the file list except for the new info popup. Because it obstructs the view to the image, it causes banner blindness for me, plus I’d have to actively look for it every time I switch to the next image. When reviewing hundreds of images, this is an unnecessary strain.

Thank you for your consideration.
Comment 9 James 2013-10-18 11:21:28 UTC
Does anybody read comments on closed threads? Would it be better to open a new bug for this behavior? This is a bug. Gwenview had one UI system for 4 years, and you changed it with no way to return to the old default behavior. For professionals who have to sort through thousands of images a day, wrap around with no real warning is painful.
Comment 10 Jekyll Wu 2013-10-19 13:02:16 UTC
The best practice is open a new ticket and refer to this ticket as the 'why'  in your new ticket.